clear all

Y_Ti = 0.4% 0.44; %0.201 - 200eV ; sputtering yield for Ti
Y_TiN = 0.1;
%Y_TiO2 =0.02 %sputtering yield for compound
T_T = 300; %K gas temperature near the target
T_S = 300; %K gas temperature near the substarte
A_S = 0.5; %Berg 2500*1e-4; %m^2 substrate area
A_T = 0.05; %Berg 150*1e-4; % m^2 target area
I_total = 3.0; % A discharge current
S_ps = 43e-3; %m^3/s pumping speed 

k = 1.381e-23; % J K^-1
u = 1.66e-27;  % kg, atomic mass unit
q = 1.602e-19; %C
N_A = 6.022e23; % entit/mol
Vm = 22.414e-3; % m^3/mol
%m_N2 = 14.007*2*u; %N2
%m_O2 = 15.9994*2*u; %O2
m = 14.007*2*u; %mass of reactive gas molecule 
p = 0.3*(1:10000)/700*1e-3*133.3; %Pa rozsah je 0.6 s krokem (1:200) cili 200 bodu, deleni 200 normovani
N = 1;   % u Berga staci i N=1
h=0.07; %Distance between target and substrate
koef=1; %sticking koefficient

data =load(strcat(pwd,'/data.txt'))
model = 'berg'; %profil prudovej hutoty
modelpl ='normal'; % miera pouzitia terca (stary/novy)

R_T = sqrt(A_T/pi); % ekvidistantni polomery (vypocet pro stejne plochy neni treba, vysledek stejny):
r_T = (1:N)/N*R_T;
R_S= sqrt(A_S/pi);
r_S = (1:N)/N*R_S;

%zavolame profil terca
profilt = str2func(['profilt_' modelpl]);
fx=profilt(N, r_T, R_T);

r_Tfx(1)=0;
for i=2:(N+1)
r_Tfx(i)=r_T(i-1);	
end
%figure(5)
%plot(r_Tfx, fx);
%title ('Profil terca');
%xlabel('R_T [m]');
%ylabel('Fx [m]')

%vypocet efektivnej plochy
S_T(1) = (pi*r_T(1)^2)*sqrt((R_T/N)*(R_T/N)+(fx(1)-fx(2))*(fx(1)-fx(2)))/(R_T/N);
S_S(1) = (pi*r_S(1)^2);
for i=2:N
	S_T(i) = (pi*r_T(i)^2 - pi*r_T(i-1)^2)*sqrt((R_T/N)*(R_T/N)+(fx(i)-fx(i-1))*(fx(i)-fx(i-1)))/(R_T/N);
	S_S(i) = (pi*r_S(i)^2 - pi*r_S(i-1)^2);
end



% zavolame specifickou funkci generujici rozlozeni proudu pro dany model
gen_proud = str2func(['gen_proud_' model]);
I = gen_proud(I_total, A_T, S_T, R_T, r_T);
J = I./S_T;
A_T=sum(S_T);

%U = [r', J', I'];
%save([model '-J.' suffix '.dat'], "U");
dis=ones(length(p),N);
% externi skript:
if exist('Y_TiO2','var')
    vypocetTiO2
    %terck
    figure(1)
    plot(Q_tot, p, data(:,1),data(:,2),'-rx')
    title ('Esicko po zmene');
    xlabel('Q_{tot} [sccm]');
    ylabel('p_{O2} [Pa]');
    B=zeros(length(p),2);
    B(:,1)=Q_tot;
    B(:,2)=p;
    save('-ascii',[model '_' modelpl 'outputO.dat'], 'B');
elseif exist('Y_TiN','var')
    vypocetTiN
    %terck
    figure(1)
    plot(Q_tot, p, data(:,1),data(:,2),'-rx')
    title ('Esicko po zmene');
    xlabel('Q_{tot} [sccm]');
    ylabel('p_{N} [Pa]');
    B=zeros(length(p),2);
    B(:,1)=Q_tot;
    B(:,2)=p;
    save('-ascii',[model '_' modelpl 'outputN.dat'], 'B');
else
    error('compound molecule error');
end    



%%legend('p_{H2} = 0.0 mPa', 'p_{H2} = 50 mPa', 'p_{H2} = 100 mPa', 'p_{H2} = 150 mPa', "location", 'northwest');
%title([model ' - p_{O2} as a function of gas consumption Q_{tot}']);
%%print 'pokus.eps' -solid -landscape -color -depsc2

%%plot(r_T, J);


%U = [p', Q_tot', F_Ti_total', F_TiO2_total'];
%save('-ascii',[model '_' modelpl '_subssistr-output.dat'], 'U');
